Summary: A GNU general-purpose parser generator.
Name: bison
Version: 1.35
Release: 1.3.0
License: GPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/pub/gnu/bison/bison-%{version}.tar.bz2
Url: http://www.gnu.org/software/bison/bison.html
Patch: bison-1.30-man.patch
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-root

%description
Bison is a general purpose parser generator that converts a grammar
description for an LALR(1) context-free grammar into a C program to
parse that grammar. Bison can be used to develop a wide range of
language parsers, from ones used in simple desk calculators to complex
programming languages. Bison is upwardly compatible with Yacc, so any
correctly written Yacc grammar should work with Bison without any
changes. If you know Yacc, you shouldn't have any trouble using
Bison. You do need to be very proficient in C programming to be able
to use Bison. Bison is only needed on systems that are used for
development.

If your system will be used for C development, you should install
Bison.

%prep
%setup -q
%patch -p1 -b .man

%build
%configure
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/bison.info*

%post
/sbin/install-info %{_infodir}/bison.info.gz %{_infodir}/dir --entry="* bison: (bison).                        The GNU parser generator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/bison.info.gz %{_infodir}/dir --entry="* bison: (bison).                        The GNU parser generator."
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_mandir}/*/*
%{_datadir}/bison
%{_infodir}/bison.info*
%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
